package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrNitrogenMapper;
import com.ruoyi.project.pssr.domain.TPssrNitrogen;
import com.ruoyi.project.pssr.service.ITPssrNitrogenService;

/**
 * 系统氮气置换Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrNitrogenServiceImpl implements ITPssrNitrogenService
{
    @Autowired
    private TPssrNitrogenMapper tPssrNitrogenMapper;

    /**
     * 查询系统氮气置换
     *
     * @param id 系统氮气置换ID
     * @return 系统氮气置换
     */
    @Override
    public TPssrNitrogen selectTPssrNitrogenById(Long id)
    {
        return tPssrNitrogenMapper.selectTPssrNitrogenById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrNitrogenMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询系统氮气置换列表
     *
     * @param tPssrNitrogen 系统氮气置换
     * @return 系统氮气置换
     */
    @Override
    public List<TPssrNitrogen> selectTPssrNitrogenList(TPssrNitrogen tPssrNitrogen)
    {
        return tPssrNitrogenMapper.selectTPssrNitrogenList(tPssrNitrogen);
    }

    /**
     * 新增系统氮气置换
     *
     * @param tPssrNitrogen 系统氮气置换
     * @return 结果
     */
    @Override
    public int insertTPssrNitrogen(TPssrNitrogen tPssrNitrogen)
    {
        return tPssrNitrogenMapper.insertTPssrNitrogen(tPssrNitrogen);
    }

    /**
     * 修改系统氮气置换
     *
     * @param tPssrNitrogen 系统氮气置换
     * @return 结果
     */
    @Override
    public int updateTPssrNitrogen(TPssrNitrogen tPssrNitrogen)
    {
        return tPssrNitrogenMapper.updateTPssrNitrogen(tPssrNitrogen);
    }

    /**
     * 批量删除系统氮气置换
     *
     * @param ids 需要删除的系统氮气置换ID
     * @return 结果
     */
    @Override
    public int deleteTPssrNitrogenByIds(Long[] ids)
    {
        return tPssrNitrogenMapper.deleteTPssrNitrogenByIds(ids);
    }

    /**
     * 删除系统氮气置换信息
     *
     * @param id 系统氮气置换ID
     * @return 结果
     */
    @Override
    public int deleteTPssrNitrogenById(Long id)
    {
        return tPssrNitrogenMapper.deleteTPssrNitrogenById(id);
    }
}
